Subject: Re: linux-next: Tree for Jun 18 (kmsg problems)

From: Greg Kroah-Hartman <[email-masked]>
Date: Mon, 18 Jun 2012 15:45:56 -0700

On Tue, Jun 19, 2012 at 08:37:20AM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Mon, 18 Jun 2012 15:15:35 -0700 Greg Kroah-Hartman <[email-masked]> wrote:
> >
> > > Caused by commit e2ae715d66bf ("kmsg - kmsg_dump() use iterator to
> > > receive log buffer content") from the driver-core.current tree.
> > 
> > I'm building my tree right now, and I can't seem to hit this.
> 
> You need CONFIG_PRINTK turned off ...

Ugh, no wonder I couldn't reproduce it, who runs systems like that
becides the CONFIG_TINY people?  :)

> > > This was reported a few days ago.  Why is it not fixed yet?
> > 
> > It was reported Friday evening, on a holiday weekend for some of us, we
> > are trying the best we can :)
> 
> Ah ha, another of those pesky holiday things :-)
> 
> > > Especially since it is in a branch that is supposedly "bug fixes"?
> > 
> > It fixes up a reported problem, and we had 3 people test it and said it
> > resolved the issue for them, no build problems reported.
> 
> My usual mantra is that if your patch is modifying code that clearly
> depends on a CONFIG option, you must test with that option both on and
> off. I see build problems in linux-next all the time where this has not
> been done.  :-(

Thanks, as this was a kmsg thing, I didn't catch that CONFIG_PRINTK was
involved, sorry about that.

I'll go queue up Kay's patch right now,

greg k-h